LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Linux From Scratch
User Name
Password
Linux From Scratch This Forum is for the discussion of LFS.
LFS is a project that provides you with the steps necessary to build your own custom Linux system.

Notices


Reply
  Search this Thread
Old 01-03-2008, 11:33 AM   #1
Johnburrell
Member
 
Registered: May 2004
Distribution: FC3
Posts: 87

Rep: Reputation: 27
Gnome-panel fails to compile


I'm building Gnome using blfs v. 6.2.0

Gnome-panel-2.14.3 fails to compile. I see that one must have python installed before installing xml2. I went back to make sure this is the case.

The required xmls2 libraries - libxml2mod.so and libxml2mod.a are in

/usr/lib/python2.4/site-packages/

Is this the correct place for them? I assume Gnome-Panel is failing because it can't find these libraries.

Is this correct and, if so, how do I get Gnome-Panel to find these libraries?

Gnome-Panel fails with -

/bin/sh: line 3: which: command not found
/bin/sh: line 3: -e: command not found
make[3]: *** [es/fish.xml] Error 127

Thanks for any help

John
 
Old 01-04-2008, 06:27 AM   #2
weibullguy
ReliaFree Maintainer
 
Registered: Aug 2004
Location: Kalamazoo, Michigan
Distribution: Slackware 14.2
Posts: 2,815
Blog Entries: 1

Rep: Reputation: 261Reputation: 261Reputation: 261
Post more output. A good rule of thumb is the last 20-30 lines of the failed command. We can't see what the make command was trying to do when it failed. From what you posted, it looks like you're missing which.

Yes, libxml2mod are in the correct directory.

BTW, 2.14.3 is old, GNOME is at 2.20 now.
 
Old 01-10-2008, 10:58 AM   #3
Johnburrell
Member
 
Registered: May 2004
Distribution: FC3
Posts: 87

Original Poster
Rep: Reputation: 27
gnome-panel requires which

You were right - gnome-panel compile failed because it could not find which.

If one installs only the required dependent packages, which-2.16 is not mentioned until the end when gnome-docs is installed. So strictly speaking, which-2.16 should be a requirement to compile gnome-panel.

BTW I was using 2.14.3 because that is published as the latest stable blfs.

John
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
update removes gnome-panel & gnome-core adamruss Debian 9 09-23-2007 11:11 PM
cli hibernate works but gnome panel hibernate fails BCarey Linux - Desktop 1 06-08-2007 10:21 AM
Gnome-panel, nautilus and gnome settings daemon Fail on Startup hitman_et Linux - General 0 04-01-2005 09:06 PM
gnome-panel crashes. Which file is responsible for the position of the panel? Satriani Linux - General 1 06-20-2003 06:51 PM
Panel application fails at startup. blackzebra2001 Linux - General 16 12-28-2002 05:24 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Linux From Scratch

All times are GMT -5. The time now is 01:21 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration